package shop.alien.storeplatform.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.http.ResponseEntity;
import shop.alien.entity.store.LifeClassManage;

import java.io.IOException;

public interface PlatformClassService {

    IPage<LifeClassManage> getClassManageList(int page, int size, String className, String classTeacher, String classBigType);

    int addOrUpdateClassManage( LifeClassManage lifeClassManage) throws IOException, InterruptedException;

    LifeClassManage getClassManageById(Integer id);

    int setClassState(Integer id, String classState);

    int deleteClassById(Integer id);

    /**
     * 导出Excel
     *
     * @return ResponseEntity
     */
    ResponseEntity<byte[]> exportToExcel(String className, String classTeacher, String classBigType);
}
